Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.registry
Class EPPRegistryCreateCmd

    java.lang.Object
      com.verisign.epp.codec.gen.EPPCommand
          com.verisign.epp.codec.gen.EPPCreateCmd
              com.verisign.epp.codec.registry.EPPRegistryCreateCmd

All Implemented Interfaces:
  EPPCodecComponent, EPPMessage, java.io.Serializable, java.lang.Cloneable

    public class EPPRegistryCreateCmd

extends EPPCreateCmd

Represents an EPP Registry <create> command, which provides a transform operation that allows a client to create a registry object. In addition to the standard EPP command elements, the <create> command MUST contain a <registry:create> element that identifies the registry namespace and the location of the registry schema. The <registry:create> element MUST contain the following child elements:

- A <registry:zone> element that contains the detailed registry information of the object to be created. Use `getZone` and `setZone` to get and set the element.

`EPPRegistryCreateResp` is the concrete `EPPReponse` associated with `EPPRegistryCreateCmd`.

Version:
  1.4
Author:
  ljia
See Also:
  `EPPRegistryCreateResp`, Serialized Form

Field Summary

Fields inherited from class com.verisign.epp.codec.gen.EPPCommand
`extensions, OP_APPROVE, OP_CANCEL, OP_QUERY, OP_REJECT, OP_REQUEST, transId, TYPE_CHECK, TYPE_CREATE, TYPE_DELETE, TYPE_INFO, TYPE_LOGIN, TYPE_LOGOUT, TYPE_POLL, TYPE_RENEW, TYPE_TRANSFER, TYPE_UPDATE`

Constructor Summary
`EPPRegistryCreateCmd()` Creates an empty EPPRegistryCreateCmd object.
`EPPRegistryCreateCmd(java.lang.String aTransId, EPPRegistryZoneInfo zone)` Creates a new EPPRegistryCreateCmd object that will create a registry object based on the info in `zone`.

Method Summary
`java.lang.Object` | `clone()` Clone `EPPRegistryCreateCmd`.
`protected void` | `doDecode(org.w3c.dom.Element aElement)` Decode the `EPPRegistryCreateCmd` attributes from the aElement DOM Element tree.
`protected org.w3c.dom.Element` | `doEncode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPRegistryCreateCmd` instance.
`boolean` | `equals(java.lang.Object aObject)` Compare an instance of `EPPRegistryCreateCmd` with this instance.
`java.lang.String` | `getNamespace()` Get the EPP command Namespace associated with `EPPRegistryCreateCmd`.
`EPPRegistryZoneInfo` | `getZone()` Get zone to create
`void` | `setZone(EPPRegistryZoneInfo zone)` Set zone to create
`java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

Methods inherited from class com.verisign.epp.codec.gen.EPPCreateCmd
`doGenDecode, doGenEncode, getType`

Methods inherited from class com.verisign.epp.codec.gen.EPPCommand
`addExtension, decode, encode, getExtension, getExtension, getExtensions, getOp, getTransId, hasExtension, hasExtensions, hasTransId, setExtension, setExtensions, setTransId`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EPPRegistryCreateCmd

    public EPPRegistryCreateCmd()

  Creates an empty EPPRegistryCreateCmd object. `zone` is set to `null`. Use `setZone` to set `zone` attribute before sending the create command.

### EPPRegistryCreateCmd

    public EPPRegistryCreateCmd(java.lang.String aTransId,
                                EPPRegistryZoneInfo zone)

  Creates a new EPPRegistryCreateCmd object that will create a registry object based on the info in `zone`.

  Parameters:
    `aTransId` - Transaction Id associated with command.
    `zone` - Instance of `EPPRegistryZoneInfo` to create

Method Detail

### getNamespace

    public java.lang.String getNamespace()

  Get the EPP command Namespace associated with `EPPRegistryCreateCmd`.

  Specified by:
    `getNamespace` in interface `EPPMessage`
  Specified by:
    `getNamespace` in class `EPPCommand`
  Returns:
    `EPPRegistryMapFactory`.NS

### equals

    public boolean equals(java.lang.Object aObject)

  Compare an instance of `EPPRegistryCreateCmd` with this instance.

  Overrides:
    `equals` in class `EPPCreateCmd`
  Parameters:
    `aObject` - Object to compare with.
  Returns:
    `true` if this object is the same as the aObject argument; `false` otherwise

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Clone `EPPRegistryCreateCmd`.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `EPPCommand`
  Returns:
    clone of `EPPRegistryCreateCmd`
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception

### toString

    public java.lang.String toString()

  Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

  Overrides:
    `toString` in class `EPPCommand`
  Returns:
    Indented XML `String` if successful; `ERROR` otherwise.

### doEncode

    protected org.w3c.dom.Element doEncode(org.w3c.dom.Document aDocument)
                                    throws EPPEncodeException

  Encode a DOM Element tree from the attributes of the `EPPRegistryCreateCmd` instance.

  Specified by:
    `doEncode` in class `EPPCreateCmd`
  Parameters:
    `aDocument` - DOM Document that is being built. Used as an Element factory.
  Returns:
    Root DOM Element representing the `EPPRegistryCreateCmd` instance.
  Throws:
    `EPPEncodeException` - Unable to encode `EPPRegistryCreateCmd` instance.

### doDecode

    protected void doDecode(org.w3c.dom.Element aElement)
                     throws EPPDecodeException

  Decode the `EPPRegistryCreateCmd` attributes from the aElement DOM Element tree.

  Specified by:
    `doDecode` in class `EPPCreateCmd`
  Parameters:
    `aElement` - Root DOM Element to decode `EPPRegistryCreateCmd` from.
  Throws:
    `{@link` - EPPDecodeException} Unable to decode aElement
    `EPPDecodeException` - Unable to decode `aElement`.

### getZone

    public EPPRegistryZoneInfo getZone()

  Get zone to create

  Returns:
    Instance of `EPPRegistryZoneInfo` to create

### setZone

    public void setZone(EPPRegistryZoneInfo zone)

  Set zone to create

  Parameters:
    `zone` - Instance of `EPPRegistryZoneInfo` to create

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.